; *******************************************************************
;   Plug in Libraries for the by 12 architecture                    *
;   Written and Tested using MPASM V1.40                            *
;********************************************************************
;   Filename:		SWPWM12.ASM                                 *
;   Date:               05 November 1997                            *
;   File Version:       1.00                                        *
;********************************************************************
;  Macros:
;                       SetDutyCycleSWPWM
;                       SetPeriodSWPWM
;********************************************************************
;   Revision History:                                               *
;      V1.00 - Beta release of Peripheral Libraries                 *
;********************************************************************
;   Notes:                                                          *
; Software PWM peripherals for the 12 bit architecture

        extern  PWM_DutyCycle
        extern  PWM_Period
        extern  SWPWM12
        extern  OpenSWPWM

; These save the contents of the Wreg into the appropriate variable
#define SetDutyCycleSWPWM 	movwf	PWM_DutyCycle
#define SetPeriodSWPWM          movwf	PWM_Period

